$NetBSD$

- pull upstream changes necessary for mikutter_gtk3

--- lib/pango/ot-loader.rb.orig	2021-11-05 16:53:00.921517380 +0000
+++ lib/pango/ot-loader.rb
@@ -14,11 +14,24 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
-module Pango
-  class OTLoader < GObjectIntrospection::Loader
-    private
-    def rubyish_class_name(info)
-      "OT#{super}"
+module PangoOT
+  class Loader < GObjectIntrospection::Loader
+    def post_load(repository, namespace)
+      @base_module.constants.each do |constant|
+        case constant
+        when :INVOKERS,
+             :Loader
+          next
+        else
+          if constant.to_s.upcase == constant.to_s
+            name = "OT_#{constant}"
+          else
+            name = "OT#{constant}"
+          end
+          value = @base_module.const_get(constant)
+          Pango.const_set(name, value)
+        end
+      end
     end
   end
 end
