$NetBSD$

- pull upstream changes necessary for mikutter_gtk3

--- lib/gdk3/x11-loader.rb.orig	2021-11-05 16:55:37.047060856 +0000
+++ lib/gdk3/x11-loader.rb
@@ -14,8 +14,8 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
-module Gdk
-  class X11Loader < GObjectIntrospection::Loader
+module GdkX11
+  class Loader < GObjectIntrospection::Loader
     def load
       begin
         self.version = "3.0"
@@ -24,5 +24,19 @@ module Gdk
         # Ignore. Some environments such as Windows don't have it.
       end
     end
+
+    private
+    def post_load(repository, namespace)
+      @base_module.constants.each do |constant|
+        case constant
+        when :INVOKERS,
+             :Loader
+          next
+        else
+          value = @base_module.const_get(constant)
+          Gdk.const_set(constant, value)
+        end
+      end
+    end
   end
 end
